package edu.uiuc.cs.net.DPRPManager;

/**
 * Some constants for use with this <b><tt>DPRPLeaseListener</tt></b>
 * business.
 *
 * @version 1.0 - September 28th, 2001
 * @author Andy Reitz (<a href="mailto:areitz@cs.uiuc.edu">areitz@cs.uiuc.edu</a>)
 */
public interface DPRPLeaseListenerConstants extends java.util.EventListener {
    /** Constant, signifying an event that hearalds the end of a lease. */
    public static final char REMOVE_LEASE_EVENT = 'r';
    /** Constant, trumpeting the birth of a new lease. */
    public static final char NEW_LEASE_EVENT = 'n';
    /** Constant, proclaiming the reformation of a lease. */
    public static final char UPDATE_LEASE_EVENT = 'u';
}
